%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif
Summary: op5 Logserver release and package configuration
Name: op5-logserver-release
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/logserver
License: op5 Software License
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%name-%version
BuildArch: noarch
Prefix: /opt/logserver
Requires: op5-logserver
Requires: op5-release

%description
%name contains yum configuration for the op5 LogServer
yum repositories.

%package -n op5-logserver
Summary: An extension for op5 Monitor (op5-monitor) that handles logs
Group: op5/logserver
# op5 Logserver packages
Requires: op5-logserver-db           >= 4.0.0
Requires: op5-syslog-ng              >= 4.0.0
Requires: op5-logserver-gui          >= 4.0.0
Requires: op5-logger-backup          >= 7.0.0
Requires: op5-postgresql-config      >= 3.4.1
Requires: op5-monitor                >= 7.0

Obsoletes: op5-logserver-rotate < %version
Obsoletes: op5-logserver-migrate2to3 < %version

%description -n op5-logserver
Logserver provides tools to collect, analyze and take action on your logs.
It hooks into op5 Monitor's GUI to let you create reports and filter logs
based on their contents

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot
mkdir -p %buildroot%{prefix}
echo %version > %{buildroot}%{prefix}/op5-logserver-version

%post

%post -n op5-logserver

%files
%defattr(-, root, %daemon_group)

%files -n op5-logserver
%defattr(-, root, %daemon_group)
%attr(664, root, root) %prefix/op5-logserver-version

%clean
rm -rf %buildroot
